#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin >>s;
    int n=s.size();
    int kol[n];
    kol[0]=0;
    for(int i=1;i<n;i++)
    {
        kol[i]=kol[i-1];
        if(s[i]<s[i-1]) kol[i]++;
    }
    //for(int i=0;i<n;i++) cout<<kol[i]<<' ';cout<<'\n';
    int q;
    cin >>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin >>l>>r;l--;r--;
        cout<<kol[r]-kol[l]+1<<'\n';
    }
}
